Discontinued Support for RC4 Ciphers

We are committed to providing you with the most secure experience using the Church Community Builder software. To better that security, on February 4, 2016 we will be discontinuing support for RC4 ciphers.

Why?

Newer ciphers and encryption protocols offer better security and are not vulnerable to several known exploits. While we allowed RC4 cyphers for several older browsers and clients to compensate for the BEAST vulnerability, there are compelling upgraded ciphers that are much more effective at securing the communication traveling to and from Church Community Builder.

How will this affect me?

Users of modern browsers will not be affected, but if any client requests are made using an unsupported cipher, we will be unable to complete the secure handshake. These clients will need to be upgraded to support newer versions of TLS (Transport Layer Security).

Thank you for allowing us to serve you!

The Church Community Builder Updates Team

Topics: This entry was posted in Software News, This entry was posted in Blog, This entry was posted in System Status Announcements

Posted by Church Community Builder Marketing Team on February 03, 2016